@charset "UTF-8";

/* category-nav */
@media all {
	.category-nav-list {padding-bottom: 13rem;}
	:where(.category-nav-item) .border-rainbow::before {
		background : linear-gradient(135deg, rgba(255, 0, 128, 1) 0%, rgba(227, 0, 103, 1) 8%, rgba(218, 0, 95, 1) 13%, rgba(115, 0, 219, 1) 45%, rgba(106, 5, 217, 1) 50%, rgba(82, 18, 211, 1) 60%, rgba(42, 40, 201, 1) 75%, rgba(0, 63, 190, 1) 88%, rgba(0, 94, 255, 1) 100%);
	}
	.category-nav-item.active .button > span {
		background-color: transparent;
		color: #fff;
	}
	.category-nav-item.active .button::after {
		content: '';
		position: absolute;
		top: calc(100% - 1px);
		left: calc(50% - 9rem);
		width: 18rem;
		height: 13rem;
		background: center /contain no-repeat url(../img/news/balloon-triangle-rainbow.svg);
	}
	.category-nav-item.active .button.blue::after {
		background-image: url(../img/news/balloon-triangle-blue.svg);
	}
	.category-nav-item.active .button.red::after {
		background-image: url(../img/news/balloon-triangle-red.svg);
	}
	.category-nav-item.active .button.green::after {
		background-image: url(../img/news/balloon-triangle-green.svg);
	}

	.column-cat-nav {background-color: rgba(44,181,58,.1);}
	.column-cat-ttl {text-align: center;line-height: 1.8;}
	.column-cat-list {
		display: flex;
		flex-wrap: wrap;
	}
	.column-cat-item a {
		display: block;
		background: #fff;
		border: max(1px, 1rem) solid var(--txt-gray);
		border-radius: 3rem;
		text-align: center;
	}
	.column-cat-item.active a {
		border-width: 0;
		background: linear-gradient(to bottom right, #d8df00, #2cb53a 100%);;
		color: #fff;
	}


	/* sp */
	@media only screen and (max-width: 767px) {
		.category-nav {
			padding: 60rem 25rem 0;
		}
		.category-nav-list {
			display: flex;
			justify-content: space-between;
		}
		.category-nav-item .button {
			width: 84rem;
			height: 50rem;
		}
		.category-nav-item .button > span {
			display: flex;
			flex-direction: column;
			align-items: center;
			justify-content: center;
			padding: 0;
		}
		
		.column-cat-nav {
			margin-top: 30rem;
			padding: 14rem 8rem 20rem;
			border-radius: 7rem;
		}
		.column-cat-list {
			gap: 15rem 3rem;
			margin-top: 15rem;
			border-radius: 15rem;
		}
		.column-cat-item > a {
			padding: 6rem 6rem;
			min-width: 60rem;
		}
	}

	/* pc & tab */
	@media print,
	(min-width: 768px) {
		.category-nav-list {
			display: flex;
			justify-content: center;
			column-gap: 20rem;
			margin-top: 100rem;
		}
		.category-nav-item .button {
			width: 233rem;
			height: 48rem;
		}
		.category-nav-item .button > span {
			display: flex;
			align-items: center;
			justify-content: center;
			padding: 0;
		}
		
		.column-cat-nav {
			display: flex;
			align-items: center;
			justify-content: space-between;
			margin-top: 30rem;
			padding: 23rem 25rem 22rem;
			border-radius: 20rem;
		}
		.column-cat-ttl {width: 180rem;}
		.column-cat-list {
			gap: 18rem 10rem;
			width: calc(100% - 180rem);
		}
		.column-cat-item > a {
			padding: 8rem 6rem;
			min-width: 70rem;
			transition: background .3s, color .3s;
		}
		.column-cat-item.active > a {pointer-events: none;}
		.column-cat-item a:hover {
		border-width: 0;
		background: linear-gradient(to bottom right, #d8df00, #2cb53a 100%);;
		color: #fff;
		padding: 9rem 7rem;
	}
	}
}

/* news_list */
@media all {
	.news_img img {
		width: 100%;
		height: 100%;
		object-fit: cover;
	}
	.news_link {display: block;}
	.news_info {
		display: flex;
		align-items: center;
		justify-content: space-between;
	}
	.news_date {color: var(--txt-gray);}

	.news_info,
	.news_title {padding: 0 15rem;}
	
	.news_category {
		display: block;
		padding: .2em .3em .3em;
		border: max(1px, 1rem) solid var(--txt-gray);
		border-radius: 3rem;
	}
	.news_category.blue {
		border-color: #0369a8;
		border-color: var(--main-blue);
		color: var(--main-blue);
	}
	.news_category.red {
		border-color: var(--main-red);
		color: var(--main-red);
	}
	
	.news_title {
		overflow: hidden;
		display: -webkit-box;
		text-overflow: ellipsis;
		-webkit-box-orient: vertical;
		font-weight: 500;
	}
	.news_img {
		width: 320rem;
		height: 180rem;
	}
	.news_img img {
		width: 100%;
		height: 100%;
		object-fit: cover;
	}

	/* sp */
	@media only screen and (max-width: 767px) {
		.news_list {
			padding: 30rem 15rem 80rem;
		}

		.news_item {
			padding-top: 15rem;
			width: 320rem;
			height: 305rem;
			box-shadow: 2rem 2rem 6rem rgba(48, 70, 93, .2);
			border-radius: 10rem;
		}
		.news_item + .news_item {margin-top: 20rem;}

		.news_info {
			margin-top: 10rem;
			font-size: 14rem;
		}
		.news_title {
			overflow: hidden;
			display: -webkit-box;
			margin-top: 12rem;
			text-overflow: ellipsis;
			-webkit-box-orient: vertical;
			-webkit-line-clamp: 2;
			line-clamp: 2;
			line-height: 26rem;
		}
}

	/* pc & tab */
	@media print,
	(min-width: 768px) {
		.news_list {
			display: flex;
			flex-wrap: wrap;
			gap: 36rem 20rem;
			margin-top: 60rem;
			padding-bottom: 50rem;
		}
		.news_item {
			padding-top: 15rem;
			width: 320rem;
			height: 340rem;
			box-shadow: 2rem 2rem 6rem rgba(48, 70, 93, .2);
			border-radius: 10rem;
		}
		.news_img {transition: opacity .3s;}
		.news_link:hover .news_img {opacity: .7;}
		.news_date, .news_title {transition: color .3s;}
		.news_link:hover .news_date,
		.news_link:hover .news_title {color: var(--main-blue);}


		.news_info {
			margin-top: 15rem;
			font-size: 14rem;
		}

		.news_title {
			margin-top: 10rem;
			-webkit-line-clamp: 3;
			line-clamp: 3;
			line-height: 26rem;
			height: 5em;
		}
	}
}

/* pagination */
@media all {

	ul.page-numbers {
		display: flex;
		justify-content: center;
		--pn-color: #30465d;
		font-family: var(--lineseed);
	}
	li > .page-numbers {
		display: flex;
		justify-content: center;
		align-items: center;
		border-radius: 50%;
		border: max(1px, 1rem) solid var(--pn-color);
		color: var(--pn-color);
	}
	li > .page-numbers.current {
		background-color: var(--pn-color);
		color: #fff;
	}
	a.page-numbers.next::before,
	a.page-numbers.prev::before {
		content: '';
		display: block;
		width: .5em;
		height: .5em;
		border-bottom: max(1px, 1rem) solid var(--pn-color);
		border-right: max(1px, 1rem) solid var(--pn-color);
	}
	a.page-numbers.prev::before {
		transform: translateX(.1em) rotate(135deg);
	}
	a.page-numbers.next::before {
		transform: translateX(-.1em) rotate(-45deg);
	}

	/* sp */
	@media only screen and (max-width: 767px) {
		ul.page-numbers {
			padding-bottom: 80rem;
			column-gap: 8rem;
		}

		li > .page-numbers {
			width: 34rem;
			height: 34rem;
		}
		a.page-numbers:hover::before {border-color: #fff;}

	}

	/* pc & tab */
	@media print,
	(min-width: 768px) {
		ul.page-numbers {
			padding-bottom: 50rem;
			column-gap: 10rem;
		}

		li > .page-numbers {
			width: 40rem;
			height: 40rem;
		}
		a.page-numbers {transition: .3s;}
		a.page-numbers:hover {
			color: #fff;
			background-color: var(--pn-color);
		}
		a.page-numbers:hover::before {border-color: #fff;}

		.site-footer {margin-top: 100rem;}
	}
}










/* template-section */
@media all {

	/* sp */
	@media only screen and (max-width: 767px) {}

	/* pc & tab */
	@media print,
	(min-width: 768px) {}
}
